# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_Curve Class Reference

Curve - computes the presentation of objects to be
seen as curves (the computation will be made
with a constant number of points), converts this one
into VRML objects and writes (adds) them into
anOStream. All requested properties of the
representation are specify in aDrawer of Drawer
class (VrmlConverter).
This kind of the presentation is converted into
IndexedLineSet ( VRML ).
.

`#include <VrmlConverter_Curve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Adaptor3d_Curve &aCurve, const Handle(VrmlConverter_Drawer)&aDrawer, Standard_OStream &anOStream)
| adds to the OStream the drawing of the curve aCurve. The aspect is defined by LineAspect in aDrawer.
static Standard_EXPORT void | Add (const Adaptor3d_Curve &aCurve, const Standard_Real U1, const Standard_Real U2, const Handle(VrmlConverter_Drawer)&aDrawer, Standard_OStream &anOStream)
| adds to the OStream the drawing of the curve aCurve. The aspect is defined by LineAspect in aDrawer. The drawing will be limited between the points of parameter U1 and U2.
static Standard_EXPORT void | Add (const Adaptor3d_Curve &aCurve, const Standard_Real U1, const Standard_Real U2, Standard_OStream &anOStream, const Standard_Integer aNbPoints)
| adds to the OStream the drawing of the curve aCurve. The aspect is the current aspect. The drawing will be limited between the points of parameter U1 and U2. aNbPoints defines number of points on one interval.

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_Curve::Add | ( | const Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | Standard_OStream & | anOStream,
|  | const Standard_Integer | aNbPoints
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_Curve::Add | ( | const Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer,
|  | Standard_OStream & | anOStream
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_Curve::Add | ( | const Adaptor3d_Curve & | aCurve,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer,
|  | Standard_OStream & | anOStream
| ) | `[static]`

void VrmlConverter_Curve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_Curve::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_Curve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_Curve.hxx